Recent

Author Topic: Cannot compile fpde: Illegal type conversion  (Read 651 times)

PascalDragon

  • Hero Member
  • *****
  • Posts: 2981
  • Compiler Developer
Re: Cannot compile fpde: Illegal type conversion
« Reply #15 on: April 13, 2021, 01:25:32 pm »
It's a plain Free Pascal program, and it uses GTK.  :)

Code: Pascal  [Select][+][-]
  1. unit frmmain;
  2.  
  3. interface
  4.  
  5. uses
  6.   gtk,gdk,fpgtk,fpgtkext,pgEditor,frmlink,sysutils,classes,fpdeopts;

Hum, mwouais, maybe, but usually something that uses GTK should be a Lazarus program and not plain pure Free Pascal program.

In a Lazarus application wouldn't find direct uses of units like gtk or gdk. Also nothing stops users from writing non-LCL GUI applications that directly interface to the widgetset, be it GTK, Qt, Win32, Cocoa, MUI or whatever.

Roland57

  • Full Member
  • ***
  • Posts: 176
Re: Cannot compile fpde: Illegal type conversion
« Reply #16 on: April 15, 2021, 06:53:42 am »
Finally, following Fred advice, I could compile, link and execute fpde.

In case someone is interested to install GTK1 on Mageia or similar distribution, the solution is here.

Thanks for your help.

 

TinyPortal © 2005-2018